#ifndef LOGSETTINGS_H
#define LOGSETTINGS_H

#include "stdmpi.h"

typedef struct
{
  int                     nRank;
  BOOL                    bLogToCommonFile;                      
  BOOL                    bLogToFile;                            
  BOOL                    bLogToStdout;                          

} LogSettings;

LogSettings* LogSettings_Construct(LogSettings* pThis);

void LogSettings_Destruct(LogSettings* pThis);

LogSettings* LogSettings_Instance(void);

#endif
